journal_create
Prev | Journal Level | Next

## Name

journal_create — Initialise the new journal file

## Synopsis

`int journal_create (` | journal_t * | journal`)`;

## Arguments

`journal`

  Journal to create. This structure must have been initialised

## Description

Given a journal_t structure which tells us which disk blocks we can use, create a new journal superblock and initialise all of the journal fields from scratch.

Prev | Up | Next
journal_init_inode | Home | journal_update_superblock